Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search.basic
Class BasicSearchLanguage

    java.lang.Object
      org.apache.slide.search.SearchLanguage
          org.apache.slide.search.basic.BasicSearchLanguage

public class BasicSearchLanguage
extends SearchLanguage

Represent the BasicSearchLanguage for Slide

Version:
  $Revision: 1.14 $

Field Summary
`static java.lang.String` | `BASIC_QUERY_CLASS` the property name for the store specific BasicQuery implementation if any
`(package private) static java.lang.String` | `GRAMMAR_NAME`
`(package private) static java.lang.String` | `GRAMMAR_NAMESPACE`

Constructor Summary
`BasicSearchLanguage()`

Method Summary
`java.lang.String` | `getGrammarUri()` Retrieves the URI of this language
`java.lang.String` | `getName()` Method getName
`SearchQuery` | `parseQuery(org.jdom.Element basicSearchElement, SearchToken token, PropertyProvider propertyProvider)` Creates a SearchQuery out of this queryElement
`SearchQuery` | `parseQuery(java.lang.String queryString, SearchToken token, PropertyProvider propertyProvider)` Creates a SearchQuery out of this queryString

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRAMMAR_NAME

    static final java.lang.String GRAMMAR_NAME

See Also:
  Constant Field Values

### GRAMMAR_NAMESPACE

    static final java.lang.String GRAMMAR_NAMESPACE

See Also:
  Constant Field Values

### BASIC_QUERY_CLASS

    public static final java.lang.String BASIC_QUERY_CLASS

  the property name for the store specific BasicQuery implementation if any

  See Also:
    Constant Field Values

Constructor Detail

### BasicSearchLanguage

    public BasicSearchLanguage()

Method Detail

### getName

    public java.lang.String getName()

  Method getName

  Specified by:
    `getName` in class `SearchLanguage`
  Returns:
    the name of this query language

### getGrammarUri

    public java.lang.String getGrammarUri()

  Retrieves the URI of this language

  Specified by:
    `getGrammarUri` in class `SearchLanguage`
  Returns:
    the namspace of this language

### parseQuery

    public SearchQuery parseQuery(java.lang.String queryString,
                                  SearchToken token,
                                  PropertyProvider propertyProvider)
                           throws BadQueryException

  Creates a SearchQuery out of this queryString

  Specified by:
    `parseQuery` in class `SearchLanguage`
  Parameters:
    `queryString` - an XML String describing this query
    `token` - SearchToken
    `propertyProvider` - the PropertyProvider to use (may be `null`).
  Returns:
    the SearchQuery
  Throws:
    `BadQueryException`

### parseQuery

    public SearchQuery parseQuery(org.jdom.Element basicSearchElement,
                                  SearchToken token,
                                  PropertyProvider propertyProvider)
                           throws BadQueryException

  Creates a SearchQuery out of this queryElement

  Specified by:
    `parseQuery` in class `SearchLanguage`
  Parameters:
    `basicSearchElement` - JDOM Element describing this query
    `token` - SearchToken
    `propertyProvider` - the PropertyProvider to use (may be `null`).
  Returns:
    BasicSearchQuery
  Throws:
    `SearchException`
    `BadQueryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD